=begin

(c) RENDERIZA 2013

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.

== Information
Author:: Renderiza
Name:: [SU]Ch
Version:: 1.0.2
SU Version:: v8
Date:: 6/29/2013
Description:: Create Rendering Channels for compositing.
History::
1.0.0:: 6/23/2013
	* Original release.  
1.0.1:: 6/29/2013
	* Exporter for all scenes
1.0.2:: 7/5/2013
	* Export single scene
	* Default scene 
=end

module RND_Extensions

	module RND_Suchannels
		require 'sketchup.rb'
		require 'extensions.rb'

		unless file_loaded?( __FILE__ )
			file_loaded( __FILE__ )
			# Create the extension.
			ext = SketchupExtension.new '[SU]Ch', 'RND_Suchannels/RND_Suchannels_menus.rb'

			# Attach some nice info.
			ext.creator     = 'Renderiza'
			ext.version     = '1.0.2'
			ext.copyright   = '2013, Renderiza Studio.'
			ext.description = 'Extract & Export the following rendering channels for composting on your favorite image editor.'

			# Register and load the extension on startup.
			Sketchup.register_extension ext, true
		end

	end

end

file_loaded( __FILE__ )